Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.svg
Class SVGDocumentLoaderAdapter

    java.lang.Object
      org.apache.batik.swing.svg.SVGDocumentLoaderAdapter

All Implemented Interfaces:
  SVGDocumentLoaderListener

Direct Known Subclasses:
  ThumbnailDialog.ThumbnailDocumentListener

    public abstract class SVGDocumentLoaderAdapter

extends Object
implements SVGDocumentLoaderListener

An adapter class that represents a listener to the `SVGDocumentLoaderEvent` events.

Constructor Summary
`SVGDocumentLoaderAdapter()`

Method Summary
`void` | `documentLoadingCancelled(SVGDocumentLoaderEvent e)` Called when the loading of a document was cancelled.
`void` | `documentLoadingCompleted(SVGDocumentLoaderEvent e)` Called when the loading of a document was completed.
`void` | `documentLoadingFailed(SVGDocumentLoaderEvent e)` Called when the loading of a document has failed.
`void` | `documentLoadingStarted(SVGDocumentLoaderEvent e)` Called when the loading of a document was started.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGDocumentLoaderAdapter

    public SVGDocumentLoaderAdapter()

Method Detail

### documentLoadingStarted

    public void documentLoadingStarted(SVGDocumentLoaderEvent e)

  Called when the loading of a document was started.

  Specified by:
    `documentLoadingStarted` in interface `SVGDocumentLoaderListener`

### documentLoadingCompleted

    public void documentLoadingCompleted(SVGDocumentLoaderEvent e)

  Called when the loading of a document was completed.

  Specified by:
    `documentLoadingCompleted` in interface `SVGDocumentLoaderListener`

### documentLoadingCancelled

    public void documentLoadingCancelled(SVGDocumentLoaderEvent e)

  Called when the loading of a document was cancelled.

  Specified by:
    `documentLoadingCancelled` in interface `SVGDocumentLoaderListener`

### documentLoadingFailed

    public void documentLoadingFailed(SVGDocumentLoaderEvent e)

  Called when the loading of a document has failed.

  Specified by:
    `documentLoadingFailed` in interface `SVGDocumentLoaderListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.